Loading...
Searching...
No Matches
libpostproc

Video postprocessing library. More...

## Files

file | postprocess.h
| external API header

## Macros

#define | PP_QUALITY_MAX 6
#define | PP_CPU_CAPS_MMX 0x80000000
#define | PP_CPU_CAPS_MMX2 0x20000000
#define | PP_CPU_CAPS_3DNOW 0x40000000
#define | PP_CPU_CAPS_ALTIVEC 0x10000000
#define | PP_CPU_CAPS_AUTO 0x00080000
#define | PP_FORMAT 0x00000008
#define | PP_FORMAT_420 (0x00000011|PP_FORMAT)
#define | PP_FORMAT_422 (0x00000001|PP_FORMAT)
#define | PP_FORMAT_411 (0x00000002|PP_FORMAT)
#define | PP_FORMAT_444 (0x00000000|PP_FORMAT)
#define | PP_FORMAT_440 (0x00000010|PP_FORMAT)
#define | PP_PICT_TYPE_QP2 0x00000010
| MPEG2 style QScale.

## Typedefs

typedef void | pp_context
typedef void | pp_mode

## Functions

unsigned | postproc_version (void)
| Return the LIBPOSTPROC_VERSION_INT constant.
const char * | postproc_configuration (void)
| Return the libpostproc build-time configuration.
const char * | postproc_license (void)
| Return the libpostproc license.
void | pp_postprocess (const uint8_t *src[3], const int srcStride[3], uint8_t *dst[3], const int dstStride[3], int horizontalSize, int verticalSize, const int8_t *QP_store, int QP_stride, pp_mode *mode, pp_context *ppContext, int pict_type)
pp_mode * | pp_get_mode_by_name_and_quality (const char *name, int quality)
| Return a pp_mode or NULL if an error occurred.
void | pp_free_mode (pp_mode *mode)
pp_context * | pp_get_context (int width, int height, int flags)
void | pp_free_context (pp_context *ppContext)

## Variables

const char | pp_help []
| a simple help text

## Detailed Description

Video postprocessing library.

## Macro Definition Documentation

## PP_QUALITY_MAX

#define PP_QUALITY_MAX 6

Definition at line 60 of file postprocess.h.

## PP_CPU_CAPS_MMX

#define PP_CPU_CAPS_MMX 0x80000000

Definition at line 88 of file postprocess.h.

## PP_CPU_CAPS_MMX2

#define PP_CPU_CAPS_MMX2 0x20000000

Definition at line 89 of file postprocess.h.

## PP_CPU_CAPS_3DNOW

#define PP_CPU_CAPS_3DNOW 0x40000000

Definition at line 90 of file postprocess.h.

## PP_CPU_CAPS_ALTIVEC

#define PP_CPU_CAPS_ALTIVEC 0x10000000

Definition at line 91 of file postprocess.h.

## PP_CPU_CAPS_AUTO

#define PP_CPU_CAPS_AUTO 0x00080000

Definition at line 92 of file postprocess.h.

## PP_FORMAT

#define PP_FORMAT 0x00000008

Definition at line 94 of file postprocess.h.

## PP_FORMAT_420

#define PP_FORMAT_420 (0x00000011|PP_FORMAT)

Definition at line 95 of file postprocess.h.

## PP_FORMAT_422

#define PP_FORMAT_422 (0x00000001|PP_FORMAT)

Definition at line 96 of file postprocess.h.

## PP_FORMAT_411

#define PP_FORMAT_411 (0x00000002|PP_FORMAT)

Definition at line 97 of file postprocess.h.

## PP_FORMAT_444

#define PP_FORMAT_444 (0x00000000|PP_FORMAT)

Definition at line 98 of file postprocess.h.

## PP_FORMAT_440

#define PP_FORMAT_440 (0x00000010|PP_FORMAT)

Definition at line 99 of file postprocess.h.

## PP_PICT_TYPE_QP2

#define PP_PICT_TYPE_QP2 0x00000010

MPEG2 style QScale.

Definition at line 101 of file postprocess.h.

## Typedef Documentation

## pp_context

typedef void pp_context

Definition at line 64 of file postprocess.h.

## pp_mode

typedef void pp_mode

Definition at line 65 of file postprocess.h.

## Function Documentation

## postproc_version()

unsigned postproc_version | ( | void |  | ) |

Return the LIBPOSTPROC_VERSION_INT constant.

## postproc_configuration()

const char * postproc_configuration | ( | void |  | ) |

Return the libpostproc build-time configuration.

## postproc_license()

const char * postproc_license | ( | void |  | ) |

Return the libpostproc license.

## pp_postprocess()

void pp_postprocess | ( | const uint8_t * | src[3],
|  | const int | srcStride[3],
|  | uint8_t * | dst[3],
|  | const int | dstStride[3],
|  | int | horizontalSize,
|  | int | verticalSize,
|  | const int8_t * | QP_store,
|  | int | QP_stride,
|  | pp_mode * | mode,
|  | pp_context * | ppContext,
|  | int | pict_type
| ) |  |

## pp_get_mode_by_name_and_quality()

pp_mode * pp_get_mode_by_name_and_quality | ( | const char * | name,
|  | int | quality
| ) |  |

Return a pp_mode or NULL if an error occurred.

Parameters

  name | the string after "-pp" on the command line
  quality | a number from 0 to PP_QUALITY_MAX

## pp_free_mode()

void pp_free_mode | ( | pp_mode * | mode | ) |

## pp_get_context()

pp_context * pp_get_context | ( | int | width,
|  | int | height,
|  | int | flags
| ) |  |

## pp_free_context()

void pp_free_context | ( | pp_context * | ppContext | ) |

## Variable Documentation

## pp_help

const char pp_help[]

extern

a simple help text